Path parameters
-
Identifier for the transform. It can be a transform identifier or a wildcard expression. You can get information for all transforms by using
_all, by specifying*as the<transform_id>, or by omitting the<transform_id>.
Query parameters
-
Specifies what to do when the request:
- Contains wildcard expressions and there are no transforms that match.
- Contains the _all string or no identifiers and there are no matches.
- Contains wildcard expressions and there are only partial matches.
If this parameter is false, the request returns a 404 status code when there are no matches or only partial matches.
Default value is
true. -
Skips the specified number of transforms.
Default value is
0. -
Specifies the maximum number of transforms to obtain.
Default value is
100. -
Excludes fields that were automatically added when creating the transform. This allows the configuration to be in an acceptable format to be retrieved and then added to another cluster.
Default value is
false.
GET
/_transform/{transform_id}
Console
GET _transform?size=10
resp = client.transform.get_transform(
size="10",
)
const response = await client.transform.getTransform({
size: 10,
});
response = client.transform.get_transform(
size: "10"
)
$resp = $client->transform()->getTransform([
"size" => "10",
]);
curl -X GET -H "Authorization: ApiKey $ELASTIC_API_KEY" "$ELASTICSEARCH_URL/_transform?size=10"
var response = await client.TransformManagement
.GetTransformAsync(d1 => d1
.Size(10)
);
client.transform().getTransform(g -> g
.size(10)
);
Response examples (200)
A successful response that contains configuration information for a transform.
{
"count": 1,
"transforms": [
{
"id": "ecommerce_transform1",
"authorization": {
"roles": [
"superuser"
]
},
"version": "8.4.0",
"create_time": 1656023416565,
"source": {
"index": [
"kibana_sample_data_ecommerce"
],
"query": {
"term": {
"geoip.continent_name": {
"value": "Asia"
}
}
}
},
"dest": {
"index": "kibana_sample_data_ecommerce_transform1",
"pipeline": "add_timestamp_pipeline"
},
"frequency": "5m",
"sync": {
"time": {
"field": "order_date",
"delay": "60s"
}
},
"pivot": {
"group_by": {
"customer_id": {
"terms": {
"field": "customer_id"
}
}
},
"aggregations": {
"max_price": {
"max": {
"field": "taxful_total_price"
}
}
}
},
"description": "Maximum priced ecommerce data by customer_id in Asia",
"settings": {},
"retention_policy": {
"time": {
"field": "order_date",
"max_age": "30d"
}
}
}
]
}